Subject: Re: bug#48629: 28.0.50; GUI emacsclient frames stop accepting keyboard input around recv

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 May 2021 19:59:00 +0300

> From: "Basil L. Contovounesios" <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 24 May 2021 17:56:24 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: "Basil L. Contovounesios" <[email-masked]>
> >> Date: Mon, 24 May 2021 17:14:58 +0100
> >> 
> >> Any ideas on what's wrong or how to further debug or fix this?
> >
> > You are asking why Emacs doesn't read keyboard input when it's stuck
> > inside 'recv',
> 
> I assume that's because if recv blocks then Emacs can't get around to
> reading keyboard input, but I know very little about these things so
> please feel free to correct me or clarify.

No, that's correct, of course.

> > or you are asking why it becomes stuck in recv for prolonged times?
> 
> Not just prolonged, but indefinite.  I have yet to find a way to restore
> these graphical sessions to normal operation, so for my intents and
> purposes they have completely hung, i.e. I presume there's a bug
> somewhere that results in recv waiting for a message it will never
> receive.

OK, that's for our network experts, hope they will chime in soon...